<template>
  <router-link :to="`note/${id}`">
    <div class="note__preview">
      <div class="note_header">
        <p>{{ text }}</p>
        <button
          @click.prevent.once="
            $confirm({
              okClick: () => REMOVE_NOTE(id),
              text: 'Удалить заметку?',
            })
          "
        >
          X
        </button>
      </div>

      <hr v-if="checkboxes.length" />
      <div v-for="checkbox in checkboxes.slice(0, 2)" :key="checkbox.id">
        <input type="checkbox" v-model="checkbox.done" /> <label>{{ checkbox.text }}</label>
      </div>
    </div>
  </router-link>
</template>

<script>
import { mapActions } from 'vuex'
export default {
  name: 'NotePreview',
  props: {
    text: String,
    checkboxes: { type: Array, default: () => [] },
    id: Number,
  },
  methods: {
    ...mapActions(['REMOVE_NOTE']),
  },
}
</script>

<style>
.note__preview {
  border: 1px solid rgba(50, 50, 93, 0.07);
  box-sizing: border-box;
  transition: 0.17s all ease-in-out;
  border-radius: 6px;
  margin: 12px 0;
  padding: 12px;
}
.note__preview:hover {
  border: 1px solid #fff;
  box-shadow: 0 0 0 1px rgba(50, 50, 93, 0.05),
    0 7px 14px 0 rgba(50, 50, 93, 0.1), 0 3px 6px 0 rgba(0, 0, 0, 0.07);
}

.note_header {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}
</style>
